#define FALSE   0
#define TRUE    1
#define MAX_THREADS     1000

typedef struct WAIT_NODE {
    seq_num Seq_Num;
    int Thread_Index;
    struct WAIT_NODE *Next;
} WAIT_NODE_t;

typedef struct POST_NODE {
    seq_num Seq_Num;
    struct POST_NODE *Next;
} POST_NODE_t;

typedef struct COND_NODE {
    condition_t cond_num;
    int Max_sequence_waiting;
    struct POST_NODE *Signalled;
    struct COND_NODE *Next;
} COND_NODE_t;

typedef struct MUTEX_NODE {
    mutex_T mutex;
    int Max_seq_end_lock;
    struct MUTEX_NODE *Next;
} MUTEX_NODE_t;

typedef struct _list_node {
    buffer_recordPtr Head;
    buffer_recordPtr Tail;
} list_node, list_nodePtr;
