/**********************************************************************
 **                                                                  **
 **                     info_sharing.cc                               **
 **                                                                  **
 **                                                                  **
 **  Written by:  Zsolt Kira                                         **
 **                                                                  **
 **  This file contains functions for sharing of information between **
 **  robots regarding their positions, objects, etc.  This is done   **
 **  via the database broadcast mechanism.                           **
 **                                                                  **
 **  Copyright 2009, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

#include "info_sharing.h"

char* MSG_InfoSharingPosition = "InfoSharingPosition";
char* MSG_InfoSharingObject   = "InfoSharingObject";
