/*
class Matrix4 {
public:
	double a00,a01,a02,a03;
	double a10,a11,a12,a13;
	double a20,a21,a22,a23;
	double a30,a31,a32,a33;

public:
	Matrix4() {
		a00 = a01 = a02 = a03 = 0.0;
		a10 = a11 = a12 = a13 = 0.0;
		a20 = a21 = a22 = a23 = 0.0;
		a30 = a31 = a32 = a33 = 0.0;
	}

	// Translation matrix: 
	// [1 0 0 dx]
	// [0 1 0 dy]
	// [0 0 1 dz]
	// [0 0 0 1]
	Matrix4 translationMatrix(double x, double y, double z) {
		a00 = a11 = a22 = a33 = 1.0;

		a03 = x;
		a13 = y;
		a23 = z;
	}

	// Rotation matrix about x: 
	// [1	0		0		0]
	// [0	cos t	sin t	0]
	// [0	-sin t	cos t	0]
	// [0	0		0		1]
	Matrix4 rotationMatrixAboutX(double angle) {
		a00 = a33 = 1.0;
		a11 = cos(angle);
		a21 = -sin(angle);
		a12 = sin(angle);
		a22 = cos(angle);
	}

	inline Matrix4 multiply(const Matrix4& A, const Matrix4& B)
	{
    Matrix4 C;
    C.a00 = A.a00 * B.a00 + A.a01 * B.a10 + A.a02 * B.a20 + A.a03 * B.a30;
    C.a01 = A.a00 * B.a01 + A.a01 * B.a11 + A.a02 * B.a21 + A.a03 * B.a31;
    C.a02 = A.a00 * B.a02 + A.a01 * B.a12 + A.a02 * B.a22 + A.a03 * B.a32;
    C.a03 = A.a00 * B.a03 + A.a01 * B.a13 + A.a02 * B.a23 + A.a03 * B.a33;
    C.a10 = A.a10 * B.a00 + A.a11 * B.a10 + A.a12 * B.a20 + A.a13 * B.a30;
    C.a11 = A.a10 * B.a01 + A.a11 * B.a11 + A.a12 * B.a21 + A.a13 * B.a31;
    C.a12 = A.a10 * B.a02 + A.a11 * B.a12 + A.a12 * B.a22 + A.a13 * B.a32;
    C.a13 = A.a10 * B.a03 + A.a11 * B.a13 + A.a12 * B.a23 + A.a13 * B.a33;
    C.a20 = A.a20 * B.a00 + A.a21 * B.a10 + A.a22 * B.a20 + A.a23 * B.a30;
    C.a21 = A.a20 * B.a01 + A.a21 * B.a11 + A.a22 * B.a21 + A.a23 * B.a31;
    C.a22 = A.a20 * B.a02 + A.a21 * B.a12 + A.a22 * B.a22 + A.a23 * B.a32;
    C.a23 = A.a20 * B.a03 + A.a21 * B.a13 + A.a22 * B.a23 + A.a23 * B.a33;
    C.a30 = A.a30 * B.a00 + A.a31 * B.a10 + A.a32 * B.a20 + A.a33 * B.a30;
    C.a31 = A.a30 * B.a01 + A.a31 * B.a11 + A.a32 * B.a21 + A.a33 * B.a31;
    C.a32 = A.a30 * B.a02 + A.a31 * B.a12 + A.a32 * B.a22 + A.a33 * B.a32;
    C.a33 = A.a30 * B.a03 + A.a31 * B.a13 + A.a32 * B.a23 + A.a33 * B.a33;
    
    return C;
	}
	
	inline beaconposition multiply(const beaconposition& bp)
	{
		beaconposition result;
		result.x = a00 * bp.x + a01 * bp.y + a02 * bp.z + a03;
		result.y = a10 * bp.x + a11 * bp.y + a12 * bp.z + a13;
		result.z = a20 * bp.x + a21 * bp.y + a22 * bp.z + a23;
		return result;
	}
};
*/

